# KIBORG 1.0
# BID: 635E7DB24F2BCD32

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x7EB55E0, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x6EE0290, 0]
    value_type: uint32
    value: [0, 0]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x7EF6AC8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing